# Class: SpaceOperators

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/space_operators.coffee

## Variables Summary

rule =

      {
        name: 'space_operators',
        level: 'ignore',
        message: 'Operators must be spaced properly',
        description: "This rule enforces that operators have space around them."
      }

tokens =

      ['+', '-', '=', '**', 'MATH', 'COMPARE', 'LOGIC', 'COMPOUND_ASSIGN', '(', ')', 'CALL_START', 'CALL_END']

## Instance Method Summary

- # (void) lintToken({type}, tokenApi)
- # (void) lintPlus(token, tokenApi)
- # (void) lintMath(token, tokenApi)
- # (void) isInExtendedRegex()
- # (void) lintCall(token, tokenApi)
- # (void) isInInterpolation()
- # (void) lintParens(token, tokenApi)

## Constructor Details

# (void) constructor()

## Instance Method Details

# (void) lintToken({type}, tokenApi)

# (void) lintPlus(token, tokenApi)

# (void) lintMath(token, tokenApi)

# (void) isInExtendedRegex()

# (void) lintCall(token, tokenApi)

# (void) isInInterpolation()

# (void) lintParens(token, tokenApi)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input